curl -X PATCH 'https://crypto-api.yativo.com/api/v1/customers/6650a1f2c3d4e5f6a7b8c9d0' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{ "phone_number": "+14155550100" }'
{
"status": true,
"message": "Customer updated successfully",
"data": { "_id": "6650a1f2c3d4e5f6a7b8c9d0", "username": "Acme Corp", "email": "billing@acme.com", "phone_number": "+14155550100" }
}
WaaS Customers (Wallet Sub-accounts)
Update Customer
Update a customer’s profile
PATCH
/
v1
/
customers
/
{customer_id}
curl -X PATCH 'https://crypto-api.yativo.com/api/v1/customers/6650a1f2c3d4e5f6a7b8c9d0' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{ "phone_number": "+14155550100" }'
{
"status": true,
"message": "Customer updated successfully",
"data": { "_id": "6650a1f2c3d4e5f6a7b8c9d0", "username": "Acme Corp", "email": "billing@acme.com", "phone_number": "+14155550100" }
}
string
required
Bearer token:
Bearer YOUR_ACCESS_TOKENstring
required
The customer ID.
string
Display name.
string
Email address.
string
Phone number.
curl -X PATCH 'https://crypto-api.yativo.com/api/v1/customers/6650a1f2c3d4e5f6a7b8c9d0' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{ "phone_number": "+14155550100" }'
{
"status": true,
"message": "Customer updated successfully",
"data": { "_id": "6650a1f2c3d4e5f6a7b8c9d0", "username": "Acme Corp", "email": "billing@acme.com", "phone_number": "+14155550100" }
}

